Bug 1272981 - SQLGrammarException when executing task query operations on various DBs
SQLGrammarException when executing task query operations on various DBs
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Shelly McGowan
Tomas Livora
:
Depends On:
Blocks: 1265725 1283109 1295537
  Show dependency treegraph
 
Reported: 2015-10-19 07:11 EDT by Tomas Livora
Modified: 2016-09-20 01:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Oracle 12c (10.77 KB, text/plain)
2015-10-19 07:11 EDT, Tomas Livora
no flags Details
PostgreSQL 8.4 (10.44 KB, text/plain)
2015-10-20 08:51 EDT, Tomas Livora
no flags Details
IBM DB2 9.7 (10.53 KB, text/plain)
2015-10-20 08:52 EDT, Tomas Livora
no flags Details
Microsoft SQL Server 2012 (10.70 KB, text/plain)
2015-10-23 05:05 EDT, Tomas Livora
no flags Details

  None (edit)
Description Tomas Livora 2015-10-19 07:11:04 EDT
Created attachment 1084335 [details]
Oracle 12c

Description of problem:
When you try to execute some task query operations (either using REST or SOAP interface) on Oracle database, you will get SQLGrammarException.

Version-Release number of selected component (if applicable):
6.2.0 ER4

Steps to Reproduce:
1. Run some process with a task.
2. Try to call for example http://localhost:8080/business-central/rest/query/task?processInstanceId=1
3. See the response

Actual results:
java.sql.SQLSyntaxErrorException: ORA-00979: not a GROUP BY expression

Expected results:
No exception and valid result.

Additional info:
This bug was probably introduced when trying to fix bug 1265725.
Comment 1 Tomas Livora 2015-10-20 08:48:57 EDT
It seems that this problem is not only present on Oracle but also on other DBs. So far I have identified problems on these databases:

IBM DB2 9.7
Oracle 12c
Oracle 11g R2
PostgreSQL 8.4
Comment 2 Tomas Livora 2015-10-20 08:51 EDT
Created attachment 1084737 [details]
PostgreSQL 8.4
Comment 3 Tomas Livora 2015-10-20 08:52 EDT
Created attachment 1084738 [details]
IBM DB2 9.7
Comment 5 Tomas Livora 2015-10-23 05:05 EDT
Created attachment 1085750 [details]
Microsoft SQL Server 2012

The same problem can be seen on MSSQL. There seems to be no problems on other databases that were not mentioned above (except of Oracle 11g R2 RAC which is currently blocked and would probably behave the same way as other versions of Oracle database).
Comment 6 Marco Rietveld 2015-10-27 22:45:08 EDT
Fixed. Commits: 

6.3.x: 
https://github.com/droolsjbpm/jbpm/commit/4b9cf010

master; 
https://github.com/droolsjbpm/jbpm/commit/0987f956
Comment 7 Marco Rietveld 2015-10-28 05:47:57 EDT
These commits were also part of the fix: 

6.3.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/30b35244

master: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/df5e8743
Comment 8 Tomas Livora 2015-11-06 05:23:03 EST
Verified on BPMS 6.2.0 ER5

Note You need to log in before you can comment on or make changes to this bug.